%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define ocver 7.08

%define subrel 1

Summary:	NetworkManager VPN integration for openconnect
Name:		networkmanager-openconnect
Version:	1.2.4
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source:		http://download.gnome.org/sources/NetworkManager-openconnect/%{url_ver}/NetworkManager-openconnect-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires:	pkgconfig(libnm-glib) >= %{nmversion}
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-util) >= %{nmversion}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openconnect) >= %{ocver}
BuildRequires:	pkgconfig(NetworkManager) >= %{nmversion}
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	intltool
BuildRequires:	gettext
Requires:	openconnect >= %{ocver}
Obsoletes:	openconnect-nm-auth-dialog

%description
This package contains software for integrating the openconnect VPN software
with NetworkManager

%prep
%setup -q -n NetworkManager-openconnect-%{version}
%autopatch -p1

%build
%configure2_5x \
    --disable-static \
    --with-gnome \
    --with-authdlg \
    --disable-more-warnings
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%find_lang NetworkManager-openconnect

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%files -f NetworkManager-openconnect.lang
%doc AUTHORS ChangeLog COPYING
%{_libdir}/NetworkManager/lib*.so*
%{_usr}/lib/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-auth-dialog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_datadir}/appdata/network-manager-openconnect.metainfo.xml
%{_datadir}/gnome-vpn-properties/openconnect


%changelog
* Sun Feb 18 2018 ngompa <ngompa> 1.2.4-1.1.mga6
+ Revision: 1202759
- Rebuild for openconnect 7.08 upgrade

* Mon Dec 05 2016 ovitters <ovitters> 1.2.4-1.mga6
+ Revision: 1072615
- new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1018687
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1003912
- new version 1.2.0

* Tue Apr 05 2016 ovitters <ovitters> 1.1.93-1.mga6
+ Revision: 998798
- new version 1.1.93

* Tue Mar 29 2016 ovitters <ovitters> 1.1.92-1.mga6
+ Revision: 996333
- new version 1.1.92
- update description

* Tue Mar 01 2016 ovitters <ovitters> 1.1.91-1.mga6
+ Revision: 981544
- new version 1.1.91

* Thu Feb 11 2016 ovitters <ovitters> 1.1.90-1.mga6
+ Revision: 955858
- new version 1.1.90

* Thu Nov 26 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 906351
- new version 1.0.8
- fix source url

* Mon May 11 2015 tmb <tmb> 1.0.2-2.mga5
+ Revision: 821742
- submit to release

* Thu May 07 2015 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 821402
- New version 1.0.2 (MGA#15682)

* Thu Feb 05 2015 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 813579
- new version 1.0.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10.0-3.mga5
+ Revision: 743247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10.0-2.mga5
+ Revision: 682869
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 ovitters <ovitters> 0.9.10.0-1.mga5
+ Revision: 650806
- new version 0.9.10.0

* Fri Jul 04 2014 ovitters <ovitters> 0.9.8.6-3.mga5
+ Revision: 643122
- update url

* Wed Mar 19 2014 fwang <fwang> 0.9.8.6-2.mga5
+ Revision: 605507
- rebuild for new openconnect

* Fri Mar 14 2014 ovitters <ovitters> 0.9.8.6-1.mga5
+ Revision: 603835
- new version 0.9.8.6

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8.4-2.mga4
+ Revision: 534667
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 0.9.8.4-1.mga4
+ Revision: 478587
- new version 0.9.8.4

* Fri Jun 07 2013 ovitters <ovitters> 0.9.8.2-1.mga4
+ Revision: 440340
- new version 0.9.8.2

* Wed Feb 20 2013 ovitters <ovitters> 0.9.8.0-1.mga3
+ Revision: 399584
- new version 0.9.8.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.9.6.2-2.mga3
+ Revision: 337488
- Fix for _libdir != _libexecdir

* Thu Aug 09 2012 ovitters <ovitters> 0.9.6.2-1.mga3
+ Revision: 280161
- new version 0.9.6.2
- new version 0.9.6.0

* Fri Jun 29 2012 ovitters <ovitters> 0.9.5.95-1.mga3
+ Revision: 264906
- br gnome-keyring-1
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.0-1.mga2
+ Revision: 225997
- new version 0.9.4.0

* Fri Mar 02 2012 ovitters <ovitters> 0.9.3.995-1.mga2
+ Revision: 216906
- new version 0.9.3.995
- drop patches applied upstream

* Sat Feb 25 2012 guillomovitch <guillomovitch> 0.9.2.0-2.mga2
+ Revision: 214712
- rebuild, fixing openconnect binary path issue (#3950)

  + fwang <fwang>
    - new version 0.9.2.0

  + mikala <mikala>
    - Update tarball to 0.9.0
    - use xz tarball
    - drop patch1 (not needed anymore)

* Sun Jul 17 2011 mikala <mikala> 0.8.999-2.mga2
+ Revision: 125266
- Rebuild for openconnect 3.10

* Tue Jun 14 2011 mikala <mikala> 0.8.999-1.mga2
+ Revision: 106250
- Update tarball to 0.8.999
- Fix BuildRequires

* Fri May 06 2011 mikala <mikala> 0.8.4-1.mga1
+ Revision: 95645
- Remove BuildRoot
- set openconnect version to 3.02
- imported package networkmanager-openconnect

